Package io.vertx.config.vault.client

## Class Auth

- java.lang.Object
- - io.vertx.config.vault.client.Auth

-     public class Auth
      extends Object

  Represents Auth result.
  Author:
    Clement Escoffier

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Auth()` |
    `Auth​(JsonObject json)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAccessor()` |
    `String` | `getApplicationId()` |
    `String` | `getClientToken()` |
    `long` | `getLeaseDuration()` |
    `JsonObject` | `getMetadata()` |
    `List<String>` | `getPolicies()` |
    `String` | `getUserId()` |
    `String` | `getUsername()` |
    `boolean` | `isRenewable()` |
    `Auth` | `setAccessor​(String accessor)` |
    `Auth` | `setClientToken​(String clientToken)` |
    `Auth` | `setLeaseDuration​(long leaseDuration)` |
    `Auth` | `setMetadata​(JsonObject metadata)` |
    `Auth` | `setPolicies​(List<String> policies)` |
    `Auth` | `setRenewable​(boolean renewable)` |
    `JsonObject` | `toJson()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Auth

          public Auth()

    - #### Auth

          public Auth​(JsonObject json)

  - ### Method Detail

    - #### getAccessor

          public String getAccessor()

    - #### setAccessor

          public Auth setAccessor​(String accessor)

    - #### getLeaseDuration

          public long getLeaseDuration()

    - #### setLeaseDuration

          public Auth setLeaseDuration​(long leaseDuration)

    - #### isRenewable

          public boolean isRenewable()

    - #### setRenewable

          public Auth setRenewable​(boolean renewable)

    - #### getMetadata

          public JsonObject getMetadata()

    - #### setMetadata

          public Auth setMetadata​(JsonObject metadata)

    - #### getClientToken

          public String getClientToken()

    - #### setClientToken

          public Auth setClientToken​(String clientToken)

    - #### getPolicies

          public List<String> getPolicies()

    - #### setPolicies

          public Auth setPolicies​(List<String> policies)

    - #### getApplicationId

          public String getApplicationId()

    - #### getUserId

          public String getUserId()

    - #### getUsername

          public String getUsername()

    - #### toJson

          public JsonObject toJson()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`